%def_enable static

%define gitver git20060822

%define polkit_user  _polkit
%define polkit_group _polkit

Name: PolicyKit
Version: 0.2
Release: alt6.%gitver

Summary: PolicyKit
Url: http://www.freedesktop.org/wiki/Software/hal
License: AFL/GPL
Group: System/Servers

Source0: %name-%{version}_git20060822.tar.bz2

Patch0: PolicyKit-build.diff
Patch1: PolicyKit-rootneedsnoauth.diff
Patch2: PolicyKit-resmgr.diff
Patch3: PolicyKit-dbus-reconnect-thoenig-01.patch
Patch4: PolicyKit-0.2-altify_init_script.patch 

# ALT Linux :)
Patch20: PolicyKit-0.2_git20060822-alt-unresolved.patch

Packager: Igor Zubkov <icesik@altlinux.org>

#BuildRequires: libdbus-glib-devel docbook-utils glib2-devel libpam0-devel pkg-config xmlto

# Automatically added by buildreq on Fri Nov 17 2006
BuildRequires: gcc-c++ gtk-doc libdbus-glib-devel libpam-devel glibc-kernheaders packages-info-i18n-common xmlto

%if_enabled static
BuildRequires: glibc-devel-static
%endif

%description
PolicyKit is a framework for defining policy for system-wide components
and for desktop pieces to configure it. It is used by HAL.

%package devel
Summary: Development libraries and headers for %name
Summary(be_BY.UTF-8): Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name
Summary(ru_RU.UTF-8): Файлы разработки нужные для построения приложений с %name
Group: Development/C
#Provides: %name-devel = %version-%release
Requires: %name = %version-%release

%description devel
PolicyKit is a framework for defining policy for system-wide components
and for desktop pieces to configure it. It is used by HAL.

This package contains development libraries and headers for %name.

%if_enabled static
%package devel-static
Summary: PolicyKit static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
PolicyKit is a framework for defining policy for system-wide components
and for desktop pieces to configure it. It is used by HAL.

This package contains PolicyKit static development libraries.
%endif

%set_pam_name pam_polkit_console

%package -n %pam_name
Summary: pam_polkit_console
Group: System/Base

%description -n %pam_name
pam_polkit_console

%prep
%setup -q -n %name-%{version}_git20060822
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch20 -p1

%build
#add_optflags -Werror
%__autoreconf
%configure \
	%{subst_enable static} \
	--with-pam-module-dir=/%_lib/security/ \
	--with-pid-file=/var/run/polkit/pid \
	--with-polkit-group=%polkit_group \
	--with-polkit-user=%polkit_user \
	--localstatedir=%_var
make

%install
mkdir -p  \
	    %buildroot%_sbindir \
	    %buildroot%_var/run/polkit

%make_install DESTDIR="%buildroot" install
mv %buildroot%_initdir/PolicyKit %buildroot%_initdir/polkitd
#__rm -f %buildroot%_libdir/*.{a,la}
#__rm -f %buildroot%_lib/security/*.{a,la}

# no need for pam module
#rm -rf %buildroot/%_lib/security

rm -rf %buildroot/%_lib/security/pam_polkit_console.la
rm -rf %buildroot/%_lib/security/pam_polkit_console.a

cp AUTHORS COPYING ChangeLog HACKING NEWS README %buildroot%_datadir/doc/%name-%{version}_%gitver/

%pre
# Add the "polkit" user 
%_sbindir/groupadd -r -f %polkit_group &>/dev/null
%_sbindir/useradd -r -g %polkit_group -d %_var/run/polkit -s /dev/null \
        -c "User for PolicyKit" -M -n %polkit_user &>/dev/null ||:

%post
%post_ldconfig
%post_service polkitd

%preun
%preun_service polkitd

%postun 
%postun_ldconfig

%files
%_bindir/*
%_sbindir/*
%doc %_datadir/doc/*
%_libdir/*.so.*
%dir %_sysconfdir/PolicyKit
%dir %_sysconfdir/PolicyKit/privilege.d
%_sysconfdir/PolicyKit/privilege.d/desktop-console.privilege
%config(noreplace) %verify(not size mtime md5) %_sysconfdir/dbus*/system.d/PolicyKit.conf
%config %_initdir/*
%_sysconfdir/pam.d/policy-kit
%dir %_datadir/gtk-doc/html/polkit
%_datadir/gtk-doc/html/polkit/*
%attr(775,_polkit,_polkit) %dir %_var/run/polkit

%files devel
%dir %_includedir/libpolkit
%_includedir/libpolkit/*
%_libdir/*.so
%_pkgconfigdir/*

%files -n %pam_name
/%_lib/security/pam_polkit_console.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Feb 20 2007 Igor Zubkov <icesik@altlinux.org> 0.2-alt6.git20060822
- fix attr's for %%_var/run/polkit

* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.2-alt5.git20060822
- rebuild with new dbus

* Tue Nov 28 2006 Igor Zubkov <icesik@altlinux.org> 0.2-alt4.git20060822
- small fix for thresh@ changes
- s/%%make_build/make/ (fix build in hasher)
- change polkit group to _polkit
- change polkit user to _polkit

* Mon Nov 27 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.2-alt3.git20060822
- Some spec cleanup.
- Some buildrequires cleanup.
- Some descriptions cleanup.
- Fix docs packaging.
- Altify user creation in %%pre.

* Mon Nov 20 2006 Igor Zubkov <icesik@altlinux.org> 0.2-alt2.git20060822
- disable -Werror 

* Mon Nov 20 2006 Igor Zubkov <icesik@altlinux.org> 0.2-alt1.git20060822
- rename spec from policykit.spec to PolicyKit.spec
- s/%%make/%%make_build/
- add HACKING to docs
- remove INSTALL from docs
- correct License from GPL to AFL/GPL
- add Packager tag
- add pam module subpackage
- build with -Werror by default
- add PolicyKit-devel-static subpackage

* Tue Nov 14 2006 Alexey Shabalin <shaba@altlinux.ru> 0.2_git20060822-alt0.1
- initial build
